commit 7fdb75e3e052860d78eff10c9fa49e99e9a9a36c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Dec 21 07:35:04 2024 +0100

    Updates for release

 NEWS         | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 56 insertions(+), 1 deletion(-)

commit 752432505d6c1ee9a341266d890425e735038b7e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Dec 20 18:20:06 2024 +0100

    Exit early in non-X11 environments
    
    Fixes: #161

 savers/floaters.c                   | 6 ++++++
 savers/popsquares.c                 | 6 ++++++
 savers/slideshow.c                  | 6 ++++++
 src/xfce4-screensaver-dialog.c      | 5 +++++
 src/xfce4-screensaver-gl-helper.c   | 5 +++++
 src/xfce4-screensaver-preferences.c | 5 +++++
 src/xfce4-screensaver.c             | 6 ++++++
 7 files changed, 39 insertions(+)

commit 664275dee9141e2153e7b162b7a9c57a5a54fb38
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Dec 20 17:30:16 2024 +0100

    Fix return codes in main() functions

 savers/popsquares.c                 |  4 ++--
 savers/slideshow.c                  |  4 ++--
 src/test-passwd.c                   |  8 ++++----
 src/test-window.c                   |  6 +++---
 src/xfce4-screensaver-command.c     | 11 ++++++-----
 src/xfce4-screensaver-dialog.c      | 20 ++++++++++----------
 src/xfce4-screensaver-gl-helper.c   |  4 ++--
 src/xfce4-screensaver-preferences.c |  4 ++--
 src/xfce4-screensaver.c             |  8 ++++----
 9 files changed, 35 insertions(+), 34 deletions(-)

commit 401d8944438220bfa67fb5f91bd6cd6283c81a61
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:30 2024 +0100

    I18n: Update translation zh_TW (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/zh_TW.po | 82 +++++++++++++++++++++++++++++--------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit 703c257e2a3a501e2869a13df6c602d940299c17
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:30 2024 +0100

    I18n: Update translation zh_CN (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/zh_CN.po | 82 +++++++++++++++++++++++++++++--------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit 9732d60ce304d56fd886c62b900750ec4c47b1ed
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:30 2024 +0100

    I18n: Update translation uk (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/uk.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit e517a748cba55d8de078c0fef2526d21b3351f33
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:30 2024 +0100

    I18n: Update translation tr (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/tr.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit dfd3ee332de883409414266965ecc8b0ee939010
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:29 2024 +0100

    I18n: Update translation th (88%).
    
    135 translated messages, 18 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/th.po | 136 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 72 insertions(+), 64 deletions(-)

commit 2812e0863621e666e1e111cf46a7d3dc9c865060
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:29 2024 +0100

    I18n: Update translation sv (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/sv.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit a96de4facdd8f484a83157630d336bc9ec95d1d1
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:29 2024 +0100

    I18n: Update translation sr (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/sr.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit 2fa175a6ca95e0d7aef67d100d870f18b6b12c6c
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:29 2024 +0100

    I18n: Update translation sq (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/sq.po | 132 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 68 insertions(+), 64 deletions(-)

commit 6d7b4924d057ac9e642b5955846ef3896cab71ac
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:29 2024 +0100

    I18n: Update translation sl (98%).
    
    151 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/sl.po | 132 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 68 insertions(+), 64 deletions(-)

commit 446617ac733001defc400cf1ffc16042e15807ad
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:29 2024 +0100

    I18n: Update translation ru (98%).
    
    151 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/ru.po | 132 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 68 insertions(+), 64 deletions(-)

commit 7ebe11d0ae0143679640f6a6116d1c13e2c90568
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:29 2024 +0100

    I18n: Update translation pt_BR (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/pt_BR.po | 82 +++++++++++++++++++++++++++++--------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit 9c7af2683c7ddf799e5c5261597f096b3cfc3e4a
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:29 2024 +0100

    I18n: Update translation pt (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/pt.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit 34e0699e6943ad491067fc7730753cc02657cfa8
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:28 2024 +0100

    I18n: Update translation pl (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/pl.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit e6acd07f59db39466b449441676ff735e21fc50e
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:28 2024 +0100

    I18n: Update translation nl (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/nl.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit 3e699fa794742d7e6a3c3219687756b2ded4b713
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:28 2024 +0100

    I18n: Update translation nb (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/nb.po | 141 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 75 insertions(+), 66 deletions(-)

commit 5efb4cc096a8bc164bc7619f62cd1a8400303776
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:28 2024 +0100

    I18n: Update translation ms (88%).
    
    135 translated messages, 18 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/ms.po | 136 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 72 insertions(+), 64 deletions(-)

commit f652c38f7b4664f4f8aae3b289c1970730c0d7d0
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:28 2024 +0100

    I18n: Update translation lt (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/lt.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit 1b63be88c63ca89bd03bd8335965e55e20c3c931
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:28 2024 +0100

    I18n: Update translation ko (98%).
    
    151 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/ko.po | 132 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 68 insertions(+), 64 deletions(-)

commit f34042d25454e136fe7e709427503a03c64421e2
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:28 2024 +0100

    I18n: Update translation kab (58%).
    
    89 translated messages, 64 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/kab.po | 136 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 72 insertions(+), 64 deletions(-)

commit a98ce9ddd77ffd82c5fa10445499797571abcb61
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:28 2024 +0100

    I18n: Update translation ja (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/ja.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit 1b885c98bd88ea1be7f159b67f29fc13b222a05f
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:28 2024 +0100

    I18n: Update translation it (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/it.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit 6e5b7af8aede7261f02bd6a9c13fb8d78b77ffef
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:27 2024 +0100

    I18n: Update translation is (79%).
    
    121 translated messages, 32 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/is.po | 136 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 72 insertions(+), 64 deletions(-)

commit ca0a299c29b8c488780da07994f7cd680fa52f79
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:27 2024 +0100

    I18n: Update translation id (88%).
    
    135 translated messages, 18 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/id.po | 136 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 72 insertions(+), 64 deletions(-)

commit 72b95c6627a967a23ba14157d08317b5645fba6d
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:27 2024 +0100

    I18n: Update translation hye (88%).
    
    135 translated messages, 18 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/hye.po | 136 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 72 insertions(+), 64 deletions(-)

commit 40ab5f69f11f92ddff5babe00e2603f4ec81b403
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:27 2024 +0100

    I18n: Update translation hy_AM (86%).
    
    133 translated messages, 20 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/hy_AM.po | 136 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 72 insertions(+), 64 deletions(-)

commit 7a4dc215a95c27a843b6e8b19dd1dd1ed453df16
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:27 2024 +0100

    I18n: Update translation hu (98%).
    
    151 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/hu.po | 132 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 68 insertions(+), 64 deletions(-)

commit a918a8257342dd19db57b05f26521b111907de2d
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:27 2024 +0100

    I18n: Update translation he (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/he.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit 4a0c6619144e5df30d3e38e44e5a1bff9e480458
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:27 2024 +0100

    I18n: Update translation gl (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/gl.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit f0eaa8ee64fd880a6006fd993d770748bed4f614
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:27 2024 +0100

    I18n: Update translation fr (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/fr.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit ba8f7dcfe9e19681446197fc03a266aed13a419d
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:26 2024 +0100

    I18n: Update translation fi (92%).
    
    141 translated messages, 12 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/fi.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit 8d27a7443b659d7df3b018e2a1c35f6ef50035ac
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:26 2024 +0100

    I18n: Update translation eu (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/eu.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit d9e5bff4a356d84f554e5ef6ec22644da110ed3e
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:26 2024 +0100

    I18n: Update translation et (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/et.po | 84 +++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 40 insertions(+), 44 deletions(-)

commit 229976ce124557878c7b249c4a280e1ef9256ab4
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:26 2024 +0100

    I18n: Update translation es (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/es.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit 402faec87b4db49ca5728a40666a8c8173354b51
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:26 2024 +0100

    I18n: Update translation en_GB (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/en_GB.po | 82 +++++++++++++++++++++++++++++--------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit 4dcee5876ca3421ca8d4d7ca10b7a8083f6534b6
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:26 2024 +0100

    I18n: Update translation en_CA (98%).
    
    150 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/en_CA.po | 136 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 72 insertions(+), 64 deletions(-)

commit 2859264b07e08ca613a864b2a4195c4dfd82c27f
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:26 2024 +0100

    I18n: Update translation en_AU (79%).
    
    121 translated messages, 32 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/en_AU.po | 136 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 72 insertions(+), 64 deletions(-)

commit 83c015d09143a7aa02e3d068763aa6e51cc9f947
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:26 2024 +0100

    I18n: Update translation el (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/el.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit 859b2f263f3cb29574ca03235c5c39627fd9d021
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:25 2024 +0100

    I18n: Update translation de (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/de.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit de9d2de9a226f7f562b70cfe693144b6c9b993b4
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:25 2024 +0100

    I18n: Update translation da (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/da.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit 89173d6a9e45058c577a07a6cdb3ac4af35fff0d
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:25 2024 +0100

    I18n: Update translation cs (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/cs.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit b8f8cedffda73d1a502effc9ddfc05f6a7c367aa
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:25 2024 +0100

    I18n: Update translation ca (98%).
    
    150 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/ca.po | 136 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 72 insertions(+), 64 deletions(-)

commit eed74c10942024e923f621d88eb605f3a85d7bf2
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:25 2024 +0100

    I18n: Update translation bg (100%).
    
    153 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/bg.po | 82 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 39 insertions(+), 43 deletions(-)

commit e0ae7253b50694f03f1e7215f4f3f564931346c1
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 20 00:51:25 2024 +0100

    I18n: Update translation be (88%).
    
    135 translated messages, 18 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/be.po | 136 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 72 insertions(+), 64 deletions(-)

commit 8c10373e602f3c2b2de595154cbe48bb10c60d84
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 19 10:54:59 2024 +0100

    prefs-dialog: Remove subtitle
    
    Fixes: #162

 src/xfce4-screensaver-preferences.ui | 1 -
 1 file changed, 1 deletion(-)

commit 8f4c257ad5fa9925cb8fa61348c53b256f22cedd
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 19 10:53:57 2024 +0100

    Revert "prefs-dialog: Remove subtitle"
    
    This reverts commit a23f97f2687e33f1a56c723b694bdaf4ad099ce0.

 src/xfce4-screensaver-preferences.ui | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit a23f97f2687e33f1a56c723b694bdaf4ad099ce0
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 19 10:50:31 2024 +0100

    prefs-dialog: Remove subtitle
    
    Fixes: #162

 src/xfce4-screensaver-preferences.ui | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit 016659242b9ec814e44aba608717a2284992cbe4
Author: Bobby Rong <rjl931189261@126.com>
Date:   Tue Dec 17 21:44:44 2024 +0800

    xfce-bg: Update default fallback wallpaper
    
    xfdesktop 4.20 no longer ships xfce-teal.jpg, let's also check xfce-x.svg.
    
    I don't think `filename = g_strdup (XFCE_BG_FALLBACK_IMG)` will give
    you absolute path of the file so to preserve the current behaviour
    we will just set filename to NULL when the last-image is a invalid path.

 src/xfce-bg.c | 39 +++++++++++++++++++--------------------
 1 file changed, 19 insertions(+), 20 deletions(-)

commit 1bcd60647a2dcad8c782888314a01fce6959d31a
Author: Bobby Rong <rjl931189261@126.com>
Date:   Tue Dec 17 22:12:58 2024 +0800

    xfce-bg: Default to XFCE_BG_PLACEMENT_ZOOMED when image-style is missing
    
    I think it is always ZOOMED as default, but from my testing since
    xfdesktop 4.20 it no longer explicitly sets the image-style property
    if it is missing (this is used to be done by
    xfce_workspace_migrate_backdrop_image_style in 4.18).
    
    As a result, if you have a new Xfce installation, xfce_bg_draw will always
    just do draw_color before you explicitly set a image-style yourself.
    
    While at it, bg->is_enabled is not used (as seen in xfce_bg_draw).

 src/xfce-bg.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit cd223e5616b19531089248196a85650daf68952c
Author: Bobby Rong <rjl931189261@126.com>
Date:   Tue Dec 10 21:27:55 2024 +0800

    Fix blurry avatar when UI scale > 1

 src/gs-lock-plug.c | 60 ++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 38 insertions(+), 22 deletions(-)

commit f5f018a3a6d9b90cc1add389e2b1551576f21c4d
Author: Bobby Rong <rjl931189261@126.com>
Date:   Sun Dec 15 16:01:01 2024 +0800

    Fix blurry background when UI scale > 1

 src/gs-lock-plug.c | 13 +++++++++----
 src/xfce-bg.c      |  2 +-
 2 files changed, 10 insertions(+), 5 deletions(-)

commit 2a49fd4dcd65b375eaa9ab8e633651eb61b55775
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 17 12:53:57 2024 +0100

    I18n: Update translation eu (100%).
    
    154 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/eu.po | 73 ++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 48 insertions(+), 25 deletions(-)

commit 869b7474d8d1f4b5270fa864b7d4f2d4bad7e05b
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 17 00:50:05 2024 +0100

    I18n: Update translation da (100%).
    
    154 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/da.po | 56 ++++++++++++++++++++++++++++++++------------------------
 1 file changed, 32 insertions(+), 24 deletions(-)

commit e8f5064c663fbfa0a81219a193227a52c96907a6
Author: Anonymous <noreply@xfce.org>
Date:   Sun Dec 8 00:51:17 2024 +0100

    I18n: Update translation he (100%).
    
    154 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/he.po | 56 ++++++++++++++++++++++++++++++++------------------------
 1 file changed, 32 insertions(+), 24 deletions(-)

commit 9764e62dd542ad1fc6c0842d99c718ccc08b7187
Author: Anonymous <noreply@xfce.org>
Date:   Sat Dec 7 00:49:35 2024 +0100

    I18n: Update translation fi (92%).
    
    142 translated messages, 12 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/fi.po | 88 +++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 51 insertions(+), 37 deletions(-)

commit 4dce6ceb2abfceed2f369c58aa226963f947cf1f
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 3 00:50:40 2024 +0100

    I18n: Update translation pl (100%).
    
    154 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/pl.po | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit f2f754a7646e700bb22454a215ca93e163958a86
Author: Anonymous <noreply@xfce.org>
Date:   Thu Nov 28 00:50:47 2024 +0100

    I18n: Update translation pt_BR (100%).
    
    154 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/pt_BR.po | 60 ++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 34 insertions(+), 26 deletions(-)

commit f68242ce22f67cbdcf9b5646e9d69101654d7b51
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 19 10:13:12 2024 +0100

    I18n: Update po/LINGUAS list

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 1cbfe65c635b034c2d0dee4ad3c7b2b150c13344
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 19 10:13:11 2024 +0100

    I18n: Add new translation hr (46%).
    
    71 translated messages, 83 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/hr.po | 677 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 677 insertions(+)

commit 3422f567d8f0d76f0b36bdf28a8d882ea61c7e49
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 19 10:13:11 2024 +0100

    I18n: Update translation sk (47%).
    
    73 translated messages, 81 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/sk.po | 199 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 78 insertions(+), 121 deletions(-)

commit c3fca883020211760050b07641dfec8d9147c108
Author: Anonymous <noreply@xfce.org>
Date:   Sat Nov 16 00:52:10 2024 +0100

    I18n: Update translation tr (100%).
    
    154 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/tr.po | 63 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 38 insertions(+), 25 deletions(-)

commit e5870827f8e683db7c58146b16485f54317b9fa5
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 11 12:49:56 2024 +0100

    I18n: Update translation oc (55%).
    
    85 translated messages, 69 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/oc.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f08e3c6b292c63f332a26c067cd38ff5d3b86278
Author: Anonymous <noreply@xfce.org>
Date:   Sat Nov 9 12:49:50 2024 +0100

    I18n: Update translation gl (100%).
    
    154 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/gl.po | 99 +++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 61 insertions(+), 38 deletions(-)

commit 8ba84808c8ea5f6bdac0a93e566d4d12e16b7247
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 4 00:52:45 2024 +0100

    I18n: Update translation cs (100%).
    
    154 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/cs.po | 87 +++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 51 insertions(+), 36 deletions(-)

commit fc9a5ec5efc2ffe0d3e8218bfd1246003753423f
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Tue Oct 22 13:43:56 2024 -0400

    prefs-dialog: Fix GtkTreePath leaks

 src/xfce4-screensaver-preferences.c | 2 ++
 1 file changed, 2 insertions(+)

commit 62121c75e7dfdd6c36df4d0054d6746a6f4d0ba6
Author: Anonymous <noreply@xfce.org>
Date:   Mon Oct 21 00:50:29 2024 +0200

    I18n: Update po/LINGUAS list

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 05742394c91d306af7243abbe1092d78086bb053
Author: Anonymous <noreply@xfce.org>
Date:   Mon Oct 21 00:50:29 2024 +0200

    I18n: Add new translation oc (54%).
    
    84 translated messages, 70 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/oc.po | 678 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 678 insertions(+)

commit a1cdda67f918e92b8a0fbfc199053d28612d8ccd
Author: Anonymous <noreply@xfce.org>
Date:   Sun Oct 20 00:50:06 2024 +0200

    I18n: Update translation el (100%).
    
    154 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/el.po | 56 ++++++++++++++++++++++++++++++++------------------------
 1 file changed, 32 insertions(+), 24 deletions(-)

commit 639a1f3bc138505aded71d234c929e004f1f194c
Author: Anonymous <noreply@xfce.org>
Date:   Sat Oct 19 00:49:37 2024 +0200

    I18n: Update translation uk (100%).
    
    154 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/uk.po | 56 ++++++++++++++++++++++++++++++++------------------------
 1 file changed, 32 insertions(+), 24 deletions(-)

commit da9bb8d3a472447f598924d892a9f143982fd239
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Tue Oct 15 19:48:11 2024 -0400

    lock-plug: Fix GVariant leak when switching user

 src/gs-lock-plug.c | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit 6a4a88ed4d71b740352f611a02c6b85f43196151
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Tue Oct 15 19:38:47 2024 -0400

    lock-plug: Fix GVariant leak

 src/gs-lock-plug.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 3751cd97c587bba69b7d94bae5a0df2c363aad25
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Mon Oct 14 17:15:38 2024 -0400

    Fix GSMonitor leak when screensaver fails to start

 src/xfce4-screensaver.c | 1 +
 1 file changed, 1 insertion(+)

commit 0b6930e334f8dabca3b0a8bbf9bc28e0c0cb5a94
Author: Anonymous <noreply@xfce.org>
Date:   Wed Oct 9 00:49:43 2024 +0200

    I18n: Update translation en_GB (100%).
    
    154 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/en_GB.po | 56 ++++++++++++++++++++++++++++++++------------------------
 1 file changed, 32 insertions(+), 24 deletions(-)

commit 7bb05c8448f01fda4db4c8c90c7e0ccfba8e9982
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Sun Oct 6 05:46:51 2024 -0400

    lock-plug: Fix GtkBuilder leak

 src/gs-lock-plug.c | 2 ++
 1 file changed, 2 insertions(+)

commit 7e3c53d16bf548868a75f8af38708887713c64af
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Sun Oct 6 05:52:13 2024 -0400

    prefs-dialog: Fix string leak

 src/xfce4-screensaver-preferences.c | 1 +
 1 file changed, 1 insertion(+)

commit 2afc7a7444d721eb5513d2dc69e6700e3bc1db14
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Sun Oct 6 04:39:44 2024 -0400

    Fix string leaks in xfce_bg_load_from_xfconf

 src/xfce-bg.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit ca69190b6363550421d58963b1c235af39c52147
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Sun Oct 6 03:48:56 2024 -0400

    Fix string leak in get_themes_menu

 src/gs-theme-manager.c | 1 +
 1 file changed, 1 insertion(+)

commit eae1b38c4882a83ce6018fa60700ac1a500ea535
Author: Anonymous <noreply@xfce.org>
Date:   Mon Oct 7 00:49:19 2024 +0200

    I18n: Update translation sv (100%).
    
    154 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

 po/sv.po | 56 ++++++++++++++++++++++++++++++++------------------------
 1 file changed, 32 insertions(+), 24 deletions(-)
[--snip--]
